const map5LingguMonster = {
    '幽光精灵' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 5,
        level : 41,
        hp : 1800,
        atk : 100,
        def : 0,
        exp : 2000,
        atkSpd : 3,
        type : null,
        items : [{name : '精灵气息',minNum : 1, maxNum : 1},{name : '幽光碎片',minNum : 1, maxNum : 2},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '黑暗之影' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 5,
        level : 42,
        hp : 1900,
        atk : 120,
        def : 0,
        exp : 2100,
        atkSpd : 3,
        type : null,
        items : [{name : '黑暗灵团',minNum : 1, maxNum : 2},{name : '暗影精油',minNum : 0, maxNum : 2},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '草木精魂' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 5,
        level : 43,
        hp : 2000,
        atk : 130,
        def : 0,
        exp : 2200,
        atkSpd : 3,
        type : null,
        items : [{name : '草木精华',minNum : 1, maxNum : 1},{name : '自然魂魄',minNum : 1, maxNum : 1},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '游荡残魂' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 5,
        level : 44,
        hp : 2300,
        atk : 150,
        def : 0,
        exp : 2300,
        atkSpd : 3,
        type : null,
        items : [{name : '残破的记忆',minNum : 1, maxNum : 3},{name : '迷茫的灵魂',minNum : 1, maxNum : 1},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '寄灵死尸' : {
        tags : ['不死族', '人型生物'],
        atkTime : '全天',
        atkProb : 5,
        level : 45,
        hp : 3500,
        atk : 150,
        def : 50,
        exp : 2400,
        atkSpd : 3,
        type : null,
        items : [{name : '风干骨肉',minNum : 1, maxNum : 3},{name : '萎缩脑核',minNum : 1, maxNum : 1},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '噬魂兽' : {
        tags : ['不死族', '魔兽'],
        atkTime : '全天',
        atkProb : 5,
        level : 46,
        hp : 4000,
        atk : 160,
        def : 100,
        exp : 2500,
        atkSpd : 3,
        type : null,
        items : [{name : '噬灵獠牙',minNum : 1, maxNum : 2},{name : '破魂利爪',minNum : 1, maxNum : 2},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '自然之灵' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 5,
        level : 47,
        hp : 3000,
        atk : 150,
        def : 0,
        exp : 2600,
        atkSpd : 3,
        type : null,
        items : [{name : '自然之心',minNum : 1, maxNum : 1},{name : '静谧的灵魂',minNum : 1, maxNum : 1},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '幽灵猎手' : {
        tags : ['不死族', '幽灵', '人型生物'],
        atkTime : '全天',
        atkProb : 5,
        level : 48,
        hp : 3000,
        atk : 200,
        def : 0,
        exp : 2700,
        atkSpd : 3,
        type : null,
        items : [{name : '幽灵猎刀',minNum : 1, maxNum : 1},{name : '杀戮意志',minNum : 1, maxNum : 1},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '幽灵魔像' : {
        tags : ['不死族', '幽灵', '傀儡'],
        atkTime : '全天',
        atkProb : 5,
        level : 49,
        hp : 4000,
        atk : 180,
        def : 0,
        exp : 2800,
        atkSpd : 3,
        type : null,
        items : [{name : '幽灵石',minNum : 1, maxNum : 3},{name : '幽灵核心',minNum : 1, maxNum : 1},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '灵魂缝合怪' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 5,
        level : 50,
        hp : 4000,
        atk : 200,
        def : 0,
        exp : 2900,
        atkSpd : 5,
        type : null,
        items : [{name : '灵魂粘合剂',minNum : 1, maxNum : 2},{name : '缝合的意识',minNum : 1, maxNum : 1},{name : '不死印记',minNum : -98, maxNum : 1},{name : '不灭灵魂',minNum : -98, maxNum : 1}],
    },
    '半灵人' : {
        tags : ['不死族', '幽灵', '人型生物'],
        atkTime : '全天',
        atkProb : 0,
        level : 50,
        hp : 12000,
        atk : 200,
        def : 0,
        exp : 9000,
        atkSpd : 3,
        type : '精英',
        items : [{name : '不死印记',minNum : 0, maxNum : 1},{name : '不灭灵魂',minNum : 0, maxNum : 1},{name : '死灵之书',minNum : 1, maxNum : 1},{name : '灵魂护符',minNum : 1, maxNum : 1}],
    },
    '复活的血肉' : {
        tags : ['不死族'],
        atkTime : '全天',
        atkProb : 0,
        level : 50,
        hp : 30000,
        atk : 220,
        def : 100,
        exp : 9000,
        atkSpd : 3,
        type : '精英',
        items : [{name : '不死印记',minNum : 0, maxNum : 1},{name : '不灭灵魂',minNum : 0, maxNum : 1},{name : '特制尸油',minNum : 1, maxNum : 3}],
    },
    '驱灵人' : {
        tags : ['人型生物'],
        atkTime : '日',
        atkProb : 0,
        human : true,
        level : 50,
        hp : 30000,
        atk : 350,
        def : 50,
        exp : 12000,
        atkSpd : 3,
        type : '传说',
        items : [{name : '驱灵印记',minNum : 1, maxNum : 1},{name : '咒术心脏',minNum : 1, maxNum : 1}],
    },
    '灾祸之灵' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 0,
        level : 50,
        hp : 30000,
        atk : 380,
        def : 0,
        exp : 15000,
        atkSpd : 3,
        type : '神话',
        items : [{name : '灾祸气息',minNum : 1, maxNum : 3},{name : '灾祸预兆',minNum : 1, maxNum : 1},{name : '不死印记',minNum : 1, maxNum : 1},{name : '不灭灵魂',minNum : 1, maxNum : 1}],
    },
    '黑暗低语' : {
        tags : ['污染'],
        atkTime : '全天',
        atkProb : 0,
        level : 50,
        hp : 35000,
        atk : 400,
        def : 0,
        exp : 15000,
        atkSpd : 3,
        type : '神话',
        items : [{name : '位面坐标：深渊',minNum : -3, maxNum : 1},{name : '影魔传说',minNum : -50, maxNum : 1},{name : '变异核心',minNum : 1000, maxNum : 1000}],
    },
    '无形意志' : {
        tags : ['不死族', '幽灵'],
        atkTime : '全天',
        atkProb : 0,
        level : 50,
        hp : 100000,
        atk : 200,
        def : 0,
        exp : 90000,
        atkSpd : 3,
        noOneKill : true,
        type : '神话',
        items : [{name : '50级武器打孔石',minNum : 1, maxNum : 3},{name : '50级护甲打孔石',minNum : 1, maxNum : 3},{name : '世界之力：16点',minNum : 1, maxNum : 1}],
    },
};

//地图信息
const map5Linggu = {
    index : 4,
    name : '灵谷',
    level : [41,50],
    worldBoss : '驱灵人',
    mythMonster : ['灾祸之灵','黑暗低语'],
    finalBoss : '无形意志',

    //配置
    confs : {
        //地形列表
        terrainArray : [
            '灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林',//新地形
        ],
        //地形可以和哪些其他地形相邻
        terrainJoinTerrain : {
            '灵丛' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
            '寒池' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
            '光壁' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
            '星柱' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
            '祭坛' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
            '黑雾' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
            '莹巢' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
            '鬼林' : ['灵丛','寒池','光壁','星柱','祭坛','黑雾','莹巢','鬼林'],
        },
        //地形可以和哪些其他地形相邻，这里面的配置会追加到当前已有的地形中
        terrainJoinTerrainAppend : {},
        //每个地形对应的颜色
        terrainColor : {
            '灵丛' : '#89ccdb',
            '寒池' : '#2196f3',
            '光壁' : '#29ffe9',
            '星柱' : '#cb6904',
            '祭坛' : '#6b6c6b',
            '黑雾' : '#795548',
            '莹巢' : '#009688',
            '鬼林' : '#9c27b0',
        },
        //怪物列表
        monsters : map5LingguMonster,
        //地形下的怪物和资源，如果是已有的地形，则会在原本的基础上追加，否则会新建，要注意得有上个地图的守关BOSS
        terrainElements : {
            '灵丛' : {
                monster : {
                    幽光精灵 : 80,
                    草木精魂 : 90,
                    自然之灵 : 80,
                    半灵人 : 5,
                },
                elements : {
                    ...terrainElement('幽灵花丛', [1, 3], 5),
                }
            },
            '寒池' : {
                monster : {
                    幽光精灵 : 60,
                    游荡残魂 : 80,
                    寄灵死尸 : 90,
                    灵魂缝合怪 : 30,
                },
                elements : {
                    ...terrainElement('水源', [1, 3], 5),
                    ...terrainElement('幽灵矿脉', [0, 1], 1),
                }
            },
            '光壁' : {
                monster : {
                    黑暗之影 : 80,
                    幽灵魔像 : 90,
                },
                elements : {
                    ...terrainElement('幽灵矿脉', [1, 3], 3),
                }
            },
            '星柱' : {
                monster : {
                    黑暗之影 : 50,
                    游荡残魂 : 70,
                    幽灵魔像 : 80,
                },
                elements : {
                    ...terrainElement('幽灵矿脉', [1, 2], 2),
                }
            },
            '祭坛' : {
                monster : {
                    寄灵死尸 : 80,
                    灵魂缝合怪 : 90,
                    半灵人 : 5,
                },
                elements : {
                }
            },
            '黑雾' : {
                monster : {
                    幽光精灵 : 60,
                    黑暗之影 : 90,
                    游荡残魂 : 50,
                    噬魂兽 : 80,
                    幽灵猎手 : 70,
                    半灵人 : 5,
                },
                elements : {
                    ...terrainElement('幽灵花丛', [0, 2], 3),
                }
            },
            '莹巢' : {
                monster : {
                    草木精魂 : 90,
                    噬魂兽 : 70,
                    自然之灵 : 90,
                },
                elements : {
                    ...terrainElement('幽灵花丛', [0, 2], 3),
                }
            },
            '鬼林' : {
                monster : {
                    草木精魂 : 90,
                    噬魂兽 : 80,
                    幽灵猎手 : 90,
                    半灵人 : 5,
                },
                elements : {
                    ...terrainElement('活树', [1, 3], 5),
                }
            },
        },
        //采集元素
        elements : {
            //地图上生成的可采集资源
            '幽灵矿脉' : new Element({canGather :true, mopUp : true, time : 10, num : 3, needItem : ['铁镐','光荣镐'], getItem : [{name : '幽灵结晶',minNum : 1, maxNum : 2}]}),
            '幽灵花丛' : new Element({canGather :true, mopUp : true, time : 10, num : 3, day : 3,getItem : [{name : '幽灵花',minNum : 1, maxNum : 2}]}),
            '活树' : new Element({canGather :true, mopUp : true, time : 20, num : 10, day : 5, needItem : ['铁斧','光荣斧'], getItem : [{name : '活木头',minNum : 0, maxNum : 1}]}),

            //本地图的元素，例如：药剂，药膏，背包，盾牌，装备，坐骑，投掷品，弓胚
            '幽灵结晶' : new Element({voidDust : 10, gold : 50, elemental : {土 : 5}}),
            '幽灵花' : new Element({canUse : true, hp : 3, voidDust : 6, gold : 30, elemental : {木 : 1}}),
            '活木头' : new Element({voidDust : 20, gold : 100, elemental : {土 : 4, 木 : 3}}),
        },
        //怪物掉落物品
        monsterItems : {
            //['精灵气息', '幽光碎片', '黑暗灵团', '暗影精油', '草木精华', '自然魂魄', '残破的记忆', '迷茫的灵魂', '风干骨肉', '萎缩脑核', '噬灵獠牙', '破魂利爪', '自然之心', '静谧的灵魂', '幽灵猎刀', '杀戮意志', '幽灵石', '幽灵核心', '灵魂粘合剂', '缝合的意识',、、， '驱灵印记', '咒术心脏', '灾祸气息', '灾祸预兆']
            '精灵气息' : new Element({fromMonster : true, voidDust : 25, gold : 75, elemental : {木 : 4, 土 : 6}}),
            '幽光碎片' : new Element({fromMonster : true, voidDust : 45, gold : 225, elemental : {土 : 8}}),
            '黑暗灵团' : new Element({fromMonster : true, voidDust : 45, gold : 225, elemental : {金 : 4, 土 : 6}}),
            '暗影精油' : new Element({fromMonster : true, voidDust : 45, gold : 225, elemental : {金 : 7, 土 : 4}}),
            '草木精华' : new Element({fromMonster : true, voidDust : 45, gold : 225, elemental : {金 : 7, 木 : 4}}),
            '自然魂魄' : new Element({fromMonster : true, voidDust : 50, gold : 250, elemental : {木 : 3, 土 : 4}}),
            '残破的记忆' : new Element({fromMonster : true, voidDust : 50, gold : 250, elemental : {金 : 4, 土 : 5}}),
            '迷茫的灵魂' : new Element({fromMonster : true, voidDust : 60, gold : 300, elemental : {木 : 7, 土 : 2}}),
            '风干骨肉' : new Element({fromMonster : true, voidDust : 60, gold : 300, elemental : {木 : 6, 土 : 2}}),
            '萎缩脑核' : new Element({fromMonster : true, voidDust : 65, gold : 325, elemental : {金 : 5, 土 : 3}}),
            '噬灵獠牙' : new Element({fromMonster : true, voidDust : 65, gold : 325, elemental : {金 : 6, 土 : 4}}),
            '破魂利爪' : new Element({fromMonster : true, voidDust : 65, gold : 325, elemental : {金 : 3, 土 : 5}}),
            '自然之心' : new Element({fromMonster : true, voidDust : 65, gold : 325, elemental : {木 : 3, 水 : 8}}),
            '静谧的灵魂' : new Element({fromMonster : true, voidDust : 70, gold : 350, elemental : {木 : 4, 土 : 5}}),
            '幽灵猎刀' : new Element({fromMonster : true, voidDust : 70, gold : 350, elemental : {木 : 7, 土 : 4}}),
            '杀戮意志' : new Element({fromMonster : true, voidDust : 70, gold : 350, elemental : {土 : 7, 金 : 3}}),
            '幽灵石' : new Element({fromMonster : true, voidDust : 70, gold : 350, elemental : {木 : 2, 金 : 5}}),
            '幽灵核心' : new Element({fromMonster : true, voidDust : 80, gold : 400, elemental : {土 : 10}}),
            '灵魂粘合剂' : new Element({fromMonster : true, voidDust : 50, gold : 250, elemental : {土 : 5}}),
            '缝合的意识' : new Element({fromMonster : true, voidDust : 400, gold : 2000, elemental : {木 : 3, 金 : 2}}),
            '驱灵印记' : new Element({fromMonster : true, voidDust : 400, gold : 2000, elemental : {木 : 3, 金 : 2}}),
            '咒术心脏' : new Element({fromMonster : true, voidDust : 400, gold : 2000, elemental : {极 : 8}}),
            '灾祸气息' : new Element({fromMonster : true, voidDust : 700, gold : 3500, elemental : {木 : 10, 极 : 1}}),
            '灾祸预兆' : new Element({fromMonster : true, voidDust : 700, gold : 3500, elemental : {木 : 8, 土 : 5, 极 : 1}}),
        },
        //['幽光精灵', '黑暗之影', '草木精魂', '游荡残魂', '寄灵死尸', '噬魂兽', '自然之灵', '幽灵猎手', '幽灵魔像', '灵魂缝合怪', '半灵人', '复活的血肉', '驱灵人', '灾祸之灵', '黑暗低语', '无形意志']
        //怪物技能
        monsterSkill : {
            幽光精灵 : ['灵魂攻击'],
            黑暗之影 : ['灵魂攻击'],
            草木精魂 : ['灵魂攻击'],
            游荡残魂 : ['灵魂攻击'],
            寄灵死尸 : [],
            噬魂兽 : ['灵魂攻击'],
            自然之灵 : ['灵魂攻击'],
            幽灵猎手 : ['灵魂攻击'],
            幽灵魔像 : [],
            灵魂缝合怪 : ['灵魂攻击'],
            半灵人 : ['灵魂攻击'],
            复活的血肉 : [],
            驱灵人 : [],
            灾祸之灵 : [],
            黑暗低语 : [],
            无形意志 : [],
        },
        //神殿配置
        deity : {
            水之女神 : {
                hates : [
                    {name : '土狼', num : 10, godFavor : 30, belief : 30},
                ],
                likes : [
                    {name : '石之核', num : 10, godFavor : 40, belief : 40},
                ],
            },
            狩猎之神 : {
                hates : [
                    {name : '土狼', num : 10, godFavor : 30, belief : 30},
                ],
                likes : [
                    {name : '硬狼皮', num : 10, godFavor : 30, belief : 30},
                ],
            }
        },
        //装备，这里的装备会自动生成图纸
        equip : {
            '鳞刀' : new Element({onlyOne :true, isWeapon : true, atk : 25, def : 5, weight : 20, endurance : 700, voidDust : 250, level : 20, gold : 800}),
        },
        //商店配置
        shop : {
            '资源' : ['纤维','木材','树枝','燧石','石头','黄水晶','魔力水晶','黑曜石', '魔晶石', '石冉木'],
            '食物' : ['鱼','肉','水','魔兽肉','浆果'],
            '素材' : ['铁锭','铜锭','金锭','硬狼皮', '石化尖牙', '石化鳞片', '石化利爪', '大蛇牙', '石化羽毛', '石化喙', '石化毛皮', '石化颊囊', '圆角', '石化甲壳', '石化钳子', '土毒蝎尾', '石化大羽', '石化皮肤', '石化巨爪', '石化大喙','虚空粉尘','变异核心'],
            '料理' : ['烤肉','烤鱼','烤魔兽肉','鱼汤'],
            '药品' : ['草药','石血藤','猩红药膏'],
            '稀有物品' : ['神性结晶','地穴领主之爪','地穴领主的壳','海象角', '海象皮', '海象牙','石之核', '元素碎石', '山岭之心', '石巨人之眼', '魔力毛皮','魔力之源', '石化重瞳', '石化猿脑', '龙龟碎壳', '赤土之源', '大地之心'],
        },
        //锻造配方，同时还需要考虑到：药膏，药剂，盾牌，投掷品，怪物物品DLC
        // 图2（灵魂追猎，遗忘之魂，次元移动），
        // 图3（穿甲箭，强化黑火药，魔兽皮包，弓胚：巨人杀手，紫水晶戒指，神性爆弹，）
        // 图4（魔蛟心脉精华，巨龙幼崽，骨刺炸药，珍贵皮包）
        forgeRecipes : {
            '鳞刀' : createForgeRecipesCfg({'硬狼皮' : 5,'石化尖牙' : 5, '石化鳞片' : 10, '石化利爪' : 5}),
            '齿甲' : createForgeRecipesCfg({'硬狼皮' : 5,'石化尖牙' : 5, '石化鳞片' : 10, '大蛇牙' : 5}),
            '狼牙棒' : createForgeRecipesCfg({'石化喙' : 5,'圆角' : 5, '石冉木' : 10, '石化颊囊' : 5}),
            '山脉皮甲' : createForgeRecipesCfg({'石化羽毛' : 5,'石化毛皮' : 5, '黄水晶' : 10, '石化尖牙' : 5}),
            '荆棘毒镰' : createForgeRecipesCfg({'石化巨爪' : 10,'石化大喙' : 5, '土毒蝎尾' : 5, '石化钳子' : 5}),
            '镶嵌石甲' : createForgeRecipesCfg({'石化甲壳' : 5,'石化大羽' : 10, '黄水晶' : 5, '石化鳞片' : 10}),
            '山岭重锤' : createForgeRecipesCfg({'石巨人之眼' : 4,'石化重瞳' : 4, '山岭之心' : 3, '铁锭' : 20}),
            '山脉之心' : createForgeRecipesCfg({'山岭之心' : 5, '魔力毛皮' : 5, '石化猿脑' : 5, '魔力水晶' : 10}),
        }
    }
};
